package com.smppw.common.pojo.enums;

import java.util.stream.Stream;

/**
 * 
 * @author diaofan
 * @date 2017年11月8日 下午3:52:24
 * @description
 */
public enum RBSAIndexType {
	CNI7Style(1), CNI3Style(2), CNI7Strategy(3), CSI11(4), CITIC6(5), RZ5Strategy(7), Large4Assets(
			8), SegmentationAsset(10), ShenWan(9);
	private int id;

	private RBSAIndexType(int id) {
		this.id = id;
	}

	public static RBSAIndexType getRbsaIndexs(int id) {
		return Stream.of(RBSAIndexType.values()).filter(e -> e.id == id).findFirst().orElse(null);
	}

	public int getId() {
		return id;
	}
}
